%define name gqview
%define version 0.8.2
%define release 6mdk

Summary: graphics file browser utility
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Graphics
BuildRequires: XFree86-devel imlib-devel
Source: %{name}-%{version}.tar.bz2
Source1: %{name}-48.xpm.bz2
Source2: %{name}-32.xpm.bz2
Source3: %{name}-16.xpm.bz2
Source4: %{name}-48.png.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
URL: http://gqview.sourceforge.net  

%description
GQview is a browser for graphics files.
Offering single click viewing of your graphics files.
Includes thumbnail view, zoom and filtering features.
And external editor support.

%prep
rm -rf $RPM_BUILD_ROOT

%setup
./configure --prefix=%{_prefix}

%build
%make

%install
#make GNOME_DATADIR=$RPM_BUILD_ROOT%{_datadir} prefix=$RPM_BUILD_ROOT%{_datadir} install
make GNOME_DATADIR=$RPM_BUILD_ROOT%{_datadir} prefix=$RPM_BUILD_ROOT%{_prefix} install
#mkdir -p $RPM_BUILD_ROOT%{prefix}/bin
#cp src/gqview $RPM_BUILD_ROOT%{prefix}/bin/gqview

# old menu
#mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Graphics
#cp gqview.desktop $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Graphics

%{find_lang} %{name}

# icons
install -d $RPM_BUILD_ROOT%{_liconsdir}
install -d $RPM_BUILD_ROOT%{_iconsdir}
install -d $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE1} >$RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm
bzcat %{SOURCE2} >$RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE3} >$RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE4} >$RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

(mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/%{name}"\
icon="%{name}.xpm"\
title="Gqview"\
longtitle="A browser for graphics files"\
needs="x11"\
section="Multimedia/Graphics"
EOF
) 

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README COPYING TODO 
%{_bindir}/*
#%{_datadir}/gnome/apps/Graphics/gqview.desktop
%{_libdir}/menu/*
%{_iconsdir}/*.xpm
%{_miconsdir}/*.xpm
%{_liconsdir}/*.xpm
%{_liconsdir}/*.png
#%lang(fr) %{_datadir}/locale/fr/*/*
#%lang(ru) %{_datadir}/locale/ru/*/*
#%lang(sk) %{_datadir}/locale/sk/*/*
#%lang(de) %{_datadir}/locale/de/*/*
#%lang(ja) %{_datadir}/locale/ja/*/*
#%lang(it) %{_datadir}/locale/it/*/*
#%lang(tr) %{_datadir}/locale/tr/*/*
#%lang(es) %{_datadir}/locale/es/*/*
#%lang(pt_BR) %{_datadir}/locale/pt_BR/*/*
#%lang(zh_TW.Big5) %{_datadir}/locale/zh_TW.Big5/*/*


%changelog
* Mon Sep 25 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.8.2-6mdk
- changed icon

* Tue Sep  5 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.8.2-5mdk
- icons
- further macroszification

* Thu Aug 24 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.8.2-4mdk
- macros
- added %lang

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.8.2-3mdk
- automatically added BuildRequires

* Thu Jun 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.8.2-2mdk
- change url, thanks Jan. 

* Thu Jun 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.8.2-1mdk
- v0.8.2
- add locale
- fix install & files section

* Fri Apr 28 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.0-10mdk
- add icon (32*32 and 16*16)
- cleanup spec file 

* Wed Apr 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0-9mdk
- merge menu file with spec
- clean spec

* Thu Mar 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0-8mdk
- fix rpmlint warnings

* Mon Mar 20 2000 Lenny Cartier <lenny@mandrakesoft.com>
- clean specfile
- add menu entry 

* Wed Nov 10 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Updated URL
- Added icon
* Thu Jul 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.7.0.
* Tue May 11 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions
* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 3)
* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries
* Sat Mar 6 1999 Michael Fulbright <drmike@redhat.com>
- version 0.6.0
* Wed Oct 7 1998 John Ellis <gqview@geocities.com>
- updated for version 0.4.2
* Fri Sep 11 1998 John Ellis <gqview@geocities.com>
- updated for version 0.4.1
* Sat Aug 15 1998 John Ellis <gqview@geocities.com>
- updated for version 0.4.0
* Wed Aug 5 1998 Joel Young <jyoung@erols.com>
- enhanced rpm .spec file  
